Page MenuHomePhabricator

Implement Ingenico Connect API call to create hosted payment
Closed, ResolvedPublic2 Story Points

Description

HostedPaymentProvider interface should have at least couple of methods, something like createHostedPayment or getHostedPaymentUrl, and something like processDonorReturn.

https://developer.globalcollect.com/documentation/api/server/#hostedcheckouts

We will want to provide the payment product ID in order to skip the selection page, and also skip the success/failure page.

Event Timeline

Ejegg created this task.Apr 26 2017, 9:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2017, 9:19 PM
ggellerman triaged this task as Normal priority.May 2 2017, 9:30 PM
ggellerman set the point value for this task to 2.

Change 363458 had a related patch set uploaded (by Mepps; owner: Mepps):
[wikimedia/fundraising/SmashPig@master] WIP: Implement HostedCheckout

https://gerrit.wikimedia.org/r/363458

Ejegg assigned this task to mepps.Jul 6 2017, 7:56 PM
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Murphy's Lawyer board.

Change 363458 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Implement HostedCheckout

https://gerrit.wikimedia.org/r/363458

Change 364143 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Add Ingenico Connect gateway based on GlobalCollect

https://gerrit.wikimedia.org/r/364143

Change 364143 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Add Ingenico Connect gateway based on GlobalCollect

https://gerrit.wikimedia.org/r/364143

Ejegg closed this task as Resolved.Aug 16 2017, 7:49 PM